Name:          activeio
Version:       3.1.4
Release:       10%{?dist}
Summary:       Apache ActiveMQ ActiveIO :: Core
License:       ASL 2.0
Url:           http://activemq.apache.org/
# svn export http://svn.apache.org/repos/asf/activemq/activeio/tags/activeio-parent-3.1.4/ activeio-3.1.4
# tar czf activeio-3.1.4-src-svn.tar.gz activeio-3.1.4
Source0:       activeio-3.1.4-src-svn.tar.gz
# build fix for howl-logger 1.0.2
Patch0:        activeio-3.1.4-howl-logger.patch

BuildRequires: apache-commons-logging
%if 0
BuildRequires: howl-logger
%endif
BuildRequires: jboss-j2eemgmt-1.1-api
BuildRequires: junit
BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle

BuildArch:     noarch

%description
A high performance IO abstraction framework.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%pom_remove_plugin :ianal-maven-plugin
%pom_remove_plugin :rat-maven-plugin
%pom_remove_plugin :taglist-maven-plugin
%pom_remove_plugin :maven-assembly-plugin

%pom_remove_dep org.apache.geronimo.specs:geronimo-j2ee-management_1.1_spec
%pom_xpath_inject "pom:project/pom:dependencyManagement/pom:dependencies" "
<dependency>
  <groupId>org.jboss.spec.javax.management.j2ee</groupId>
  <artifactId>jboss-j2eemgmt-api_1.1_spec</artifactId>
  <version>1.0.1.Final</version>
</dependency>"

%pom_remove_dep org.apache.geronimo.specs:geronimo-j2ee-management_1.1_spec %{name}-core
%pom_add_dep org.jboss.spec.javax.management.j2ee:jboss-j2eemgmt-api_1.1_spec %{name}-core

%pom_add_dep junit:junit::test %{name}-core

# TODO remove when howl-logger is available
%pom_remove_dep howl:howl-logger
%pom_remove_dep howl:howl-logger %{name}-core/pom.xml
%if 0
sed -i "s|<howl-version>0.1.8|<howl-version>1.0.2|" pom.xml
%pom_xpath_inject "pom:project/pom:dependencyManagement/pom:dependencies" '
<dependency>
  <groupId>org.objectweb.howl</groupId>
  <artifactId>howl</artifactId>
  <version>${howl-version}</version>
</dependency>'
%pom_xpath_inject "pom:project/pom:dependencies" "
<dependency>
  <groupId>org.objectweb.howl</groupId>
  <artifactId>howl</artifactId>
  <optional>true</optional>
</dependency>" %{name}-core/pom.xml
%patch0 -p0
%else
%pom_add_plugin org.apache.maven.plugins:maven-compiler-plugin  %{name}-core "
<executions>
  <execution>
    <id>default-compile</id>
    <phase>compile</phase>
    <configuration>
      <excludes>
	<exclude>**/HowlJournal.*</exclude>
      </excludes>
    </configuration>
    <goals>
      <goal>compile</goal>
    </goals>
  </execution>
  <execution>
    <id>default-testCompile</id>
    <phase>test-compile</phase>
    <configuration>
      <testExcludes>
	<exclude>**/JournalPerfTool.*</exclude>
      </testExcludes>
    </configuration> 
    <goals>
      <goal>testCompile</goal>
    </goals>
  </execution>
</executions>"
%endif

sed -i 's/\r//' NOTICE

%mvn_file :%{name}-core activemq/%{name}-core

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

install -m 644 %{name}-core/target/%{name}-core-%{version}-tests.jar \
   %{buildroot}%{_javadir}/activemq/%{name}-core-tests.jar
   
%files -f .mfiles
%{_javadir}/activemq/%{name}-core-tests.jar
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 3.1.4-10
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 3.1.4-8
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 gil cattaneo <puntogil@libero.it> 3.1.4-6
- switch to XMvn
- minor changes to adapt to current guideline

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3.1.4-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Sep 14 2012 gil cattaneo <puntogil@libero.it> 3.1.4-3
- Fix parent pom

* Fri Sep 14 2012 gil cattaneo <puntogil@libero.it> 3.1.4-2
- Convert patch to POM macros

* Fri May 18 2012 gil cattaneo <puntogil@libero.it> 3.1.4-1
- initial rpm
